Atlassian SourceTree 0.5.1.0 < 2.6.9 Remote Code Execution Vulnerabilities

High Nessus Plugin ID 117406

Synopsis

The version of Atlassian SourceTree installed on the remote host is affected by multiple vulnerabilities.

Description

The version of Atlassian SourceTree installed on the remote host is a version 0.5.1.0 prior to 2.6.9 . It is, therefore, affected by multiple vulnerabilities.

Note that Nessus has not tested for these issues but has instead relied only on the application's self-reported version number.

Solution

Upgrade to Atlassian SourceTree 2.6.9 or later.

See Also

http://www.nessus.org/u?c961adc1

Plugin Details

Severity: High

ID: 117406

File Name: atlassian_sourcetree_2_6_9.nasl

Version: 1.3

Type: local

Agent: windows

Family: Windows

Published: 2018/09/11

Updated: 2019/11/01

Dependencies: 106871

Risk Information

Risk Factor: High

CVSS Score Source: CVE-2018-13385

CVSS v2.0

Base Score: 7.5

Temporal Score: 5.9

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

Temporal Vector: CVSS2#E:POC/RL:OF/RC:C

CVSS v3.0

Base Score: 9.8

Temporal Score: 8.8

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

Temporal Vector: CVSS:3.0/E:P/RL:O/RC:C

Vulnerability Information

CPE: cpe:/a:atlassian:sourcetree

Required KB Items: installed_sw/SourceTree

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2018/07/18

Vulnerability Publication Date: 2017/07/18

Reference Information

CVE: CVE-2018-11235, CVE-2018-13385, CVE-2018-13386

BID: 102926

IAVA: 2018-A-0056